QPID-CPP 1.3.6 compilation error on centos 6.5 : qpid/framing/FieldValue.cpp:269: undefined reference to `_ZNK4qpid5types4Uuid3strB5cxx11Ev'

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

QPID-CPP 1.3.6 compilation error on centos 6.5 : qpid/framing/FieldValue.cpp:269: undefined reference to `_ZNK4qpid5types4Uuid3strB5cxx11Ev'

Peter
Dear All,

 

There is a compilation error for build QPID-CPP 1.3.6, any suggest from you
are appreciated.

 

The error message is as the following:

$cmake ..

$make all

/opt/rh/python27/root/usr/lib64/python2.7/distutils/dist.py:267:
UserWarning: Unknown distribution option: 'install_requires'

  warnings.warn(msg)

running build

running build_py

running build_scripts

..

[ 32%] Building CXX object
src/CMakeFiles/qpidcommon.dir/qpid/messaging/amqp/Transport.cpp.o

[ 32%] Building CXX object
src/CMakeFiles/qpidcommon.dir/qpid/sys/posix/MemStat.cpp.o

[ 33%] Linking CXX shared library libqpidcommon.so

CMakeFiles/qpidcommon.dir/qpid/framing/FieldValue.cpp.o: In function
`_ZNK4qpid7framing8UuidData9getStringB5cxx11Ev':

/root/qpid-cpp/src/qpid/framing/FieldValue.cpp:269: undefined reference to
`_ZNK4qpid5types4Uuid3strB5cxx11Ev'

CMakeFiles/qpidcommon.dir/qpid/management/ManagementObject.cpp.o: In
function
`qpid::management::ObjectId::mapDecode(std::map<std::__cxx11::basic_string<c
har, std::char_traits<char>, std::allocator<char> >, qpid::types::Variant,
std::less<std::__cxx11::basic_string<char, std::char_traits<char>,
std::allocator<char> > >,
std::allocator<std::pair<std::__cxx11::basic_string<char,
std::char_traits<char>, std::allocator<char> > const, qpid::types::Variant>
> > const&)':

/root/qpid-cpp/src/qpid/management/ManagementObject.cpp:208: undefined
reference to `_ZNK4qpid5types7Variant8asStringB5cxx11Ev'

/root/qpid-cpp/src/qpid/management/ManagementObject.cpp:213: undefined
reference to `_ZNK4qpid5types7Variant8asStringB5cxx11Ev'

CMakeFiles/qpidcommon.dir/qpid/amqp_0_10/Codecs.cpp.o: In function
`qpid::amqp_0_10::encodedSize(qpid::types::Variant const&)':

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:220: undefined reference to
`_ZNK4qpid5types7Variant9getStringB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:216: undefined reference to
`_ZNK4qpid5types7Variant5asMapB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:218: undefined reference to
`_ZNK4qpid5types7Variant6asListB5cxx11Ev'

CMakeFiles/qpidcommon.dir/qpid/amqp_0_10/Codecs.cpp.o: In function
`qpid::amqp_0_10::encode(qpid::types::Variant const&,
qpid::framing::Buffer&)':

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:353: undefined reference to
`_ZNK4qpid5types7Variant11getEncodingB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:353: undefined reference to
`_ZNK4qpid5types7Variant9getStringB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:350: undefined reference to
`_ZNK4qpid5types7Variant6asListB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:350: undefined reference to
`_ZNK4qpid5types7Variant6asListB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:346: undefined reference to
`_ZNK4qpid5types7Variant5asMapB5cxx11Ev'

/root/qpid-cpp/src/qpid/amqp_0_10/Codecs.cpp:346: undefined reference to
`_ZNK4qpid5types7Variant5asMapB5cxx11Ev'

....

/root/qpid-cpp/src/qpid/amqp/MessageId.cpp:41: undefined reference to
`_ZNK4qpid5types4Uuid3strB5cxx11Ev'

collect2: error: ld returned 1 exit status

make[2]: *** [src/libqpidcommon.so.2.0.0] Error 1

make[1]: *** [src/CMakeFiles/qpidcommon.dir/all] Error 2

make: *** [all] Error 2

 

according to /root/qpid-cpp/src/qpid/framing/FieldValue.cpp:269: undefined
reference to `_ZNK4qpid5types4Uuid3strB5cxx11Ev',

there should be a including chain, FieldValue.cpp INCLUDE #include
"qpid/framing/Uuid.h"

 
framing/Uuid.h INCLUDE #include "qpid/types/Uuid.h"

but, Uuid.h can not be found in src/qpid/types/

 

Is it the reason of the error???

 

According to qpid INSTALL.txt, I have install all the Prerequisite
Libraries, except libdb-cxx-devel.

xqilla-devel-2.2.3-8.el6.x86_64

xerces-c-devel-3.0.1-20.el6.x86_64

cyrus-sasl-devel-2.1.23-15.el6_6.2.x86_64

nss-devel-3.28.4-3.el6_9.x86_64

nspr-devel-4.13.1-1.el6.x86_64

libibverbs-devel-1.1.8-4.el6.x86_64

librdmacm-devel-1.0.21-0.el6.x86_64

ruby-1.8.7.374-5.el6.x86_64

ruby-devel-1.8.7.374-5.el6.x86_64

swig-1.3.40-6.el6.x86_64

libaio-devel-0.3.107-10.el6.x86_64

boost 1.6.5

util-linux-2.19

 

my OS is centos 6.5.

 

Any reply from you are appreciated. Thanks.

 

Regards,

Peter